<?php
$themename = "زاکروت - آی‌تی بلاگز";
$shortname = "itbl";
$colors = array('blue-itblo' => "آبی (پیش‌فرض)",
				'green-itblo' => "سبز",
				'pink-itblo' => "صورتی",
				'black-itblo' => "مشکی",
				'yellow-itblo' => "زرد",
				'red-itblo' => "قرمز",
				'brown-itblo' => "قهوه ای",
				'dark-green-itblo' => "سبز تیره");

$options = array (
  
array( "name" => "تنظیمات پوسته",
	"type" => "title"),
 
array( "type" => "open"),

array( "name" => "رنگ پوسته",
	"desc" => "رنگ پوسته را انتخاب کنید",
	"id" => $shortname."_color",
	"type" => "select",
	"std" => "blue-itblo",
	"options" => $colors),
	
array( "name" => "نام کاربری فیدبرنر شما",
	"desc" => "برای بخش اشتراک مشترکین نیاز است تا شما یوزر فیدبرنر خود را وارد نمایید، برای مثال: aminbz",
	"id" => $shortname."_feedburne_stuff",
	"type" => "text",
	"std" => ""),
	
array( "name" => "توییتر",
	"desc" => "در صورتی که مایل هستید، لینک به توییتر در وبلاگتان باشد، گزینه زیر را فعال نمایید",
            "id" => $shortname."_tweet_side",
            "type" => "select",
            "std" => "",
            "options" => array("Disable", "Enable")), 
			
array( "name" => "نام کاربری توییتر شما",
	"desc" => "برای اینکه یوزر توییتر شما در وبسایت نمایش داده شود، می بایست یوزر خود را بنویسید، برای مثال: aminbz",
	"id" => $shortname."_twitt_stuff",
	"type" => "text",
	"std" => ""),	
			
array( "name" => "خلاصه مطلب",
	"type" => "title"),
 
array( "type" => "open"),	
array( "name" => "خلاصه مطلب",
	"desc" => "اگر می خواهید پوسته در صفحه نخست خلاصه مطالب را نمایش دهد، گزینه زیر را فعال نمایید.",
            "id" => $shortname."_index_manage",
            "type" => "select",
            "std" => "",
            "options" => array("Disable", "Enable")),
			
array( "name" => "عکس بندانگشتی",
	"desc" => "عکس بند انگشتی که در خلاصه مطلب نمایش داده می شود را می توانید فعال و یا غیر فعال نمایید",
            "id" => $shortname."_expertimg_manage",
            "type" => "select",
            "std" => "",
            "options" => array("Disable", "Enable")),
									
array( "name" => "نحوه فراخوانی عکس بندانگشتی",
	"desc" => " عکس بند انگشتی بصورت خودکار تشخیص داده شود؟ برای استفاده از کاستوم فیلد می بایست از کلید image  استفاده کنید.",
            "id" => $shortname."_img_manage",
            "type" => "select",
            "std" => "",
            "options" => array("Disable", "Enable")),

array( "name" => "تغییرات دلخواه",
	"type" => "title"),
 
array( "type" => "open"),			
array( "name" => "اسلایدشو - هدر",
	"desc" => "اگر می خواهید پوسته اسلایدشو داشته باشد، این گزینه را فعال نمایید",
            "id" => $shortname."_head_slid",
            "type" => "select",
            "std" => "",
            "options" => array("Disable", "Enable")),
array( "name" => "منوهای جی کوئری سایدبار",
	"desc" => "منوهای جی کوئری دسته بندی، بایگانی، محبوب ترین ها را با استفاده را با گزینه های زیر می توانید فعال و یا غیر فعال نمایید.",
            "id" => $shortname."_menu_jq",
            "type" => "select",
            "std" => "",
            "options" => array("Disable", "Enable")),	
	
array( "name" => "فوتر",
	"desc" => "با استفاده از این گزینه می توانید فوتر بزرگ را فعال نمایید.",
            "id" => $shortname."_footer_model",
            "type" => "select",
            "std" => "",
            "options" => array("Disable", "Enable")),	
				
array( "name" => "تبلیغات",
	"type" => "title"),
 
array( "type" => "open"),	
array( "name" => "تبلیغات فعال شوند",
	"desc" => "با استفاده از این گزینه تبلیغات در وبلاگ خود را فعال و یا غیر فعال نمایید.",
            "id" => $shortname."_ads_side",
            "type" => "select",
            "std" => "",
            "options" => array("Disable", "Enable")),
	
array( "name" => "لینک تبلیغ اول",
	"desc" => "در اینجا لینک به وبسایت مورد نظر را وارد نمایید، مثلا: http://amin.bz",
	"id" => $shortname."_ads_link1",
	"type" => "text",
	"std" => ""),
	
array( "name" => "عکس تبلیغ اول",
	"desc" => "در اینجا لینک عکس مورد نظر را وارد نمایید، مثلا: http:/yourwebsite.com/img/ads.gif",
	"id" => $shortname."_ads_img1",
	"type" => "text",
	"std" => ""),
	
array( "name" => "لینک تبلیغ دوم",
	"desc" => "در اینجا لینک به وبسایت مورد نظر را وارد نمایید، مثلا: http://amin.bz",
	"id" => $shortname."_ads_link2",
	"type" => "text",
	"std" => ""),
	
array( "name" => "عکس تبلیغ دوم",
	"desc" => "در اینجا لینک عکس مورد نظر را وارد نمایید، مثلا: http:/yourwebsite.com/img/ads.gif",
	"id" => $shortname."_ads_img2",
	"type" => "text",
	"std" => ""),
				
array( "type" => "close")
 
);

add_action('admin_menu', 'mytheme_add_admin');

function slideshow_meta_box($post) 
{
	?>
	<p>
		<input type="checkbox" name="slideshow_info" id="slideshow_info" value="1" <?php if(get_post_meta($post->ID, 'slideshow_info', true) == "1") echo "checked='checked'"; ?>/>
		<label for="slideshow_info">این نوشته در اسلایدشو نمایش داده شود.</label>
	</p>
	<?php
}

add_action('publish_post', 'slideshow_save');

function slideshow_save($post_id) 
{
	if (!isset($_POST['slideshow_info'])) 
	{
		delete_post_meta($post_id, 'slideshow_info');
	} 
	else 
	{
		update_post_meta($post_id, 'slideshow_info', "1");
	}
	return;
}

function mytheme_add_admin() {

add_meta_box('slideshow', 'تنظیمات اسلایدشو', 'slideshow_meta_box', 'post', 'normal', 'high');

global $themename, $shortname, $options, $slide_options;
 
if ( $_GET['page'] == basename(__FILE__) ) {
 
if ( 'save' == $_REQUEST['action'] ) {
 
foreach ($options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
 
foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
 
header("Location: themes.php?page=corefunctions.php&saved=true");
die;
 
} else if( 'reset' == $_REQUEST['action'] ) {
 
foreach ($options as $value) {
delete_option( $value['id'] ); }


header("Location: themes.php?page=corefunctions.php&reset=true");
die;
 
}
}
$logo_adminitl = get_settings('siteurl').'/wp-admin/images/generic.png';
 
if(function_exists('add_menu_page'))
	add_menu_page("تنظیمات ".$themename, "آی‌تی بلاگز", 'edit_pages', basename(__FILE__), 'mytheme_admin', $logo_adminitl, 3);

if(function_exists('add_submenu_page'))
{
	add_submenu_page(basename(__FILE__), 'تنظیمات پوسته', 'تنظیمات پوسته', 'edit_pages', basename(__FILE__));
	add_submenu_page(basename(__FILE__), "تنظیمات اسلایدشو", "تنظیمات اسلایدشو", 10, 'slideshow-options', 'slideshow_admin');
}

}



function slideshow_admin() {
if (isset($_POST['update_slideshow_settings']))
{
	if(isset($_POST['postIDs']))
	{
		$ids = $_POST['postIDs'];
		foreach($ids as $id)
			delete_post_meta($id, 'slideshow_info');
	}
	update_option('itbl_slideshow_num', $_POST['itbl_slideshow_num']);
	?>
	<div class="updated">
		<p><strong>تنظیمات اسلایدشو ذخیره شد.</strong></p>
	</div>
	<?php
} ?>
<div class="wrap">
<?php if(function_exists('screen_icon')) screen_icon(); ?>
	<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
		<h2>تنظیمات اسلایدشو</h2>
		<p>نوشته‌هایی که می‌خواهید از لیست اسلایدشو <b>حذف</b> شوند، انتخاب کنید:</p>
		<table class="widefat fixed post" >
			<thead>
				<tr>
					<th class="manage-column column-cb check-column" id="cb" scope="col"></th>
					<th>عنوان</th>
					<th>تاریخ</th>
				</tr>
			</thead>
			<tbody>
			<?php
				$my_query = new WP_Query("meta_key=slideshow_info&showposts=100");
				while ($my_query->have_posts()) : $my_query->the_post();
			?>
			<tr>
				<td>
					<input type="checkbox" name="postIDs[]" value="<?php the_ID();?>" />
				</td>
				<td>
					<a href="<?php the_permalink() ?>"><?php the_title(); ?></a>
				</td>
				<td>
					<?php the_time('j F Y'); ?>
				</td>
			</tr>						
			<?php endwhile; ?>
			</tbody>
		</table>
		<p>
			تعداد نوشته‌های قابل نمایش در اسلایدشو 
			<input style="width:170px;" name="itbl_slideshow_num" type="text" value="<?php echo get_option('itbl_slideshow_num', 5); ?>" /> 
		</p>
		<div class="submit">
			<input class="button-primary" type="submit" name="update_slideshow_settings" value="ذخیره تغییرات" />
		</div>
	</form>
</div>
<?php
}


function mytheme_admin() {
 
global $themename, $shortname, $options;
 
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>تنظیمات پوسته ذخیره شد.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>  باز نشانی تنظیمات پوسته انجام شد.</strong></p></div>';
 
?>
<div class="wrap">
<h2>تنظیمات <?php echo $themename; ?> </h2>
<br />
<div style="float:right">
<h3>توضیحات</h3>
در صورت نیاز می‌توانید پلاگین‌های زیر را نصب نمایید:<br />
<a href="http://wordpress.org/extend/plugins/wp-pagenavi/">WP-PageNavi</a><br />
<a href="http://wordpress.org/extend/plugins/contact-form-7/">Contact Form 7</a><br />
در ضمن پلاگین <a href="http://wordpress.org/extend/plugins/wp-jalali/">wp-jalali</a> حتما فعال باشد.<br />

<p style="padding-bottom:10px; font-size:.9em">
این پوسته تحت لیسانس 
<a href="http://creativecommons.org/licenses/by-nc-sa/3.0/">Creative Commons</a>
 منتشر شده‌است و می‌توانید با خیالی آسوده از آن استفاده نمایید.
<br />
پیشنهادات، سوالات و یا مشکلات خود را به توییتر 
<a href="http://twitter.com/aminbz">من (aminbz)</a> و یا به تیم ما <a href="http://twitter.com/zakrot">زاکروت (zakrot)</a>
ریپلای کنید.
</p>
</div>
<div style="float:left; padding-left:20px">
		<ul>
<script src="http://feeds.feedburner.com/zakrot/freetheme?format=sigpro" type="text/javascript" ></script><noscript><p>Subscribe to RSS headline updates from: <a href="http://feeds.feedburner.com/zakrot/freetheme"></a></p> </noscript>
        </ul>
</div>
<div style="clear:both"></div>
<form method="post">
 
<?php foreach ($options as $value) {
switch ( $value['type'] ) {
 
case "open":
?>
<table width="100%" border="0" style="background-color:#eef5fb; padding:10px;">
 
<?php break;
 
case "close":
?>
 
</table><br />
 
<?php break;
 
case "title":
?>
<table width="100%" border="0" style="background-color:#dceefc; padding:5px 10px;"><tr>
<td colspan="2"><h3 style="font-family:tahoma,'Times New Roman',Times,serif;"><?php echo $value['name']; ?></h3></td>
</tr>
 
<?php break;
 
case 'text':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><input style="width:200px; height:30px" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case 'textarea':
?>

<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:200px; height:30px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea></td>
 
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case 'select':
?>
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case "checkbox":
?>
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
</td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php break;
 
}
}
?>
 
<p class="submit">
<input name="save" type="submit" value="Save changes" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
 
<?php
}


?>